<?php
/**
 * Установка модуля
 *
 * @package    DIAFAN.CMS
 * @author     diafan.ru
 * @version    6.0
 * @license    http://www.diafan.ru/license.html
 * @copyright  Copyright (c) 2003-2018 OOO «Диафан» (http://www.diafan.ru/)
 */

if (!defined('DIAFAN')) {
	$path = __FILE__;

	while (!file_exists($path . '/includes/404.php')) {
		$parent = dirname($path);
		if ($parent == $path) {
			exit();
		}
		$path = $parent;
	}

	include $path . '/includes/404.php';
}

class Bifit_install extends Install
{
	/**
	 * @var string название
	 */
	public $title = "БИФИТ Касса";

	/**
	 * @var array таблицы в базе данных
	 */
	public $tables = array(
		array(
			"name" => "bifit",
			"comment" => "БИФИТ Касса",
			"fields" => array(
				array(
					"name" => "id",
					"type" => "INT(11) UNSIGNED NOT NULL AUTO_INCREMENT"
				),
				array(
					"name" => "order_id",
					"type" => "INT(11) UNSIGNED NOT NULL DEFAULT '0'"
				),
				array(
					"name" => "order_number",
					"type" => "VARCHAR(255) NOT NULL DEFAULT ''"
				),
				array(
					"name" => "order_date",
					"type" => "datetime NOT NULL DEFAULT '0000-00-00 00:00:00'"
				),
				array(
					"name" => "cashier",
					"type" => "VARCHAR(255) NOT NULL DEFAULT ''"
				),
				array(
					"name" => "client",
					"type" => "VARCHAR(255) NOT NULL DEFAULT ''"
				),
				array(
					"name" => "receipt_link",
					"type" => "VARCHAR(255) NOT NULL DEFAULT ''"
				),
				array(
					"name" => "receipt_id",
					"type" => "INT(11) UNSIGNED NOT NULL DEFAULT '0'"
				),
				array(
					"name" => "receipt_type",
					"type" => "VARCHAR(50) NOT NULL DEFAULT ''"
				),
				array(
					"name" => "payment_type",
					"type" => "VARCHAR(50) NOT NULL DEFAULT ''"
				),
				array(
					"name" => "doc",
					"type" => "TEXT"
				),
				array(
					"name" => "log",
					"type" => "TEXT"
				)
			),
			"keys" => array("PRIMARY KEY (id)")
		)
	);

	/**
	 * @var array записи в таблице {modules}
	 */
	public $modules = array(
		array(
			"name" => "bifit",
			"admin" => true,
			"site" => true
		)
	);

	/**
	 * @var array меню административной части
	 */
	public $admin = array(
		array(
			"name" => "БИФИТ Касса",
			"rewrite" => "bifit",
			"group_id" => 2,
			"sort" => 26,
			"act" => true
		)
	);
}
